* [gentoo-catalyst] [PATCH] Preclean fails attempting to Unmerge distcc when already depcleaned
@ 2018-09-09 17:55 M. J. Everitt
0 siblings, 0 replies; only message in thread
From: M. J. Everitt @ 2018-09-09 17:55 UTC (permalink / raw
To: gentoo-catalyst
[-- Attachment #1.1: Type: text/plain, Size: 683 bytes --]
Better version than previous, suggested by Chewi - thanks!
---
targets/stage3/stage3-preclean-chroot.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/targets/stage3/stage3-preclean-chroot.sh
b/targets/stage3/stage3-preclean-chroot.sh
index 027dedea..33a700a6 100755
--- a/targets/stage3/stage3-preclean-chroot.sh
+++ b/targets/stage3/stage3-preclean-chroot.sh
@@ -11,7 +11,10 @@ cleanup_stages
if [ -n "${clst_DISTCC}" ]
then
- run_merge -C sys-devel/distcc || exit 1
+ portageq has_version / sys-devel/distcc
+ if [ $? == 0 ]; then
+ run_merge -C sys-devel/distcc || exit 1
+ fi
fi
if [ -n "${clst_ICECREAM}" ]
--
2.13.0
[-- Attachment #2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 819 bytes --]
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2018-09-09 17:55 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-09-09 17:55 [gentoo-catalyst] [PATCH] Preclean fails attempting to Unmerge distcc when already depcleaned M. J. Everitt
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox